
QGIS Application - Bug report #17458

QGIS freezes when naming a style rule

2017-11-14 12:45 PM - Mathieu Bossaert

Status: Closed

Priority: High

Assignee:

Category: Symbology

Affected QGIS version:2.18.14 Regression?: Yes

Operating System: linux (xubuntu 16.04) Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 25355

Description

Good morning,

when I try to edit the name of a rule in the "rule based style" editor, QGIS freeze and I have no other choice than kill the process.

Thanks a lot.

Mathieu Bossaert

Related issues:

Copied to QGIS Application - Bug report # 17480: QGIS freez when naming a sty... Closed 2017-11-14

History

#1 - 2017-11-14 02:27 PM - Giovanni Manghi

- Status changed from Open to Feedback

Please attach a sample project with sample data to allow us try replicate here (I cannot replicate with data of my own, same qgis version and platform).

Thanks!

#2 - 2017-11-16 11:37 PM - Bauke Koole

- Copied to Bug report #17480: QGIS freez when naming a style rule added

#3 - 2017-11-17 05:10 PM - Giovanni Manghi

- Subject changed from QGIS freez when naming a style rule to QGIS freezes when naming a style rule

- Priority changed from Normal to High

- Regression? changed from No to Yes

#4 - 2017-11-17 06:09 PM - Mathieu Bossaert

- File bug_17458.png added

Giovanni Manghi wrote:

Please attach a sample project with sample data to allow us try replicate here (I cannot replicate with data of my own, same qgis version and

platform). Thanks!

I can but it will not give you any information. I just tried to create a new project, with other data and I have the same freeze (clicking the edit button).
#5 - 2017-11-19 09:09 AM - Giovanni Manghi

Mathieu Bossaert wrote:

Giovanni Manghi wrote:

Please attach a sample project with sample data to allow us try replicate here (I cannot replicate with data of my own, same qgis version and

platform). Thanks!

I can but it will not give you any information. I just tried to create a new project, with other data and I have the same freeze (clicking the edit button).

Just tried here, same platform, same QGIS version, no freeze.

Could you try o a clean install? start from (backup and) delete the ~/.qgis2 folder, then restart QGIS. Thanks.

#6 - 2017-11-20 10:30 AM - Mathieu Bossaert

Giovanni Manghi wrote:

Could you try o a clean install? start from (backup and) delete the ~/.qgis2 folder, then restart QGIS. Thanks.

Done : delete .qgis2 directory unistall / reinstall QGIS with no effects.

I can't understand, it looks like when a child window is open but invisible and mother's wait for an action on it.

#7 - 2017-11-20 11:51 AM - Giovanni Manghi

I can't understand, it looks like when a child window is open but invisible and mother's wait for an action on it.

so maybe is just a Desktop manager issue. Have you tried on different ones?

#8 - 2017-11-24 10:18 AM - Alessandro Pasotti

works for me

#9 - 2018-02-22 05:38 PM - Nelson José Silva

Here works fine with 2.18.16

#10 - 2018-02-23 04:11 PM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed

I have hit this issue recently and the cause turned to be the dialog to not show... giving the impression the program is blocked. The fact is that the dialog

was in fact configured to show on a second monitor... Cleaning QGIS configurations (~/.config folder on Linux) makes the problem go away.
